For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Developer Tools
CommunityContact UsConsole
HomeDocsAPI Reference
HomeDocsAPI Reference
  • API Reference
    • GETDevice Information
    • POSTHeartbeat ping
    • POSTCreate C2C asset
    • POSTCreate C2C asset
    • POSTRequest upload URLs for real-time upload
    • POSTCreate a Comment from a C2C device
      • POSTConnect a new device channel
      • POSTDisconnect a specific device channel
      • POSTDisconnect all device channels
      • POSTTrigger a real-time logging event

© 2026 Adobe Inc. All rights reserved.

TermsPrivacyDo not sell or share my personal information
Developer-friendly docs for your API
Logo
Developer Tools
CommunityContact UsConsole
API ReferenceDevice Channels

Trigger a real-time logging event

POST
https://api.frame.io/v2/devices/channels/:channel_id/inputs/:input_index/trigger
POST
/v2/devices/channels/:channel_id/inputs/:input_index/trigger
1import requests
2
3headers = {
4 'Authorization': 'Bearer [access_token]',
5 'Content-Type': 'application/json',
6 'x-client-version': '2.0.0'
7}
8
9data = {
10 'action_type': 'single_press',
11 'offset': 0,
12 'start': {
13 'smpte_timecode': '01:00:00:00',
14 'rate': {
15 'playback': [24000, 1001],
16 'ntsc': 'non_drop'
17 }
18 },
19 'duration': {
20 'smpte_timecode': '00:00:00:01',
21 'rate': {
22 'playback': [24000, 1001],
23 'ntsc': 'non_drop'
24 }
25 }
26}
27
28response = requests.post(
29 'https://api.frame.io/v2/devices/channels/{channel_id}/inputs/{input_index}/trigger',
30 headers=headers,
31 json=data
32)
33
34result = response.json()
35print(result)
Triggers an event on the device channel. Can be used for logging a quick comment, or for other things that haven't been dreamed up yet!
Was this page helpful?
Previous

Connect device

Next

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

channel_idstringRequiredformat: "uuid"
Device channel id
input_indexintegerRequired>=0

An 0-indexed integer that will be used to identify the input

Headers

x-client-versionstringOptionalDefaults to 0.0.0

Firmware or software version of a C2C integration. Will be used to determine the correct Device Model configuration for the device when multiple are available. Must be a valid semantic version.

For more on semantic versions, see here: https://semver.org/

Request

This endpoint expects an object.
action_typeenumOptional
Allowed values:
offsetintegerOptional>=0
startobjectOptional
durationobjectOptional

Response

OK

Errors

401
Unauthorized Error